package com.hungraim.ltc.governance.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ltc.pojo.vo.governance.SvrProgramListVo;

public interface SrvProgramService {

    /**
     * 个人照护方案查询列表
     *
     * @param srvOrganId    服务机构id
     * @param realName      失能人员姓名
     * @param realTel       失能人员手机号
     * @param programStatus 服务方案状态
     * @return 返回列表
     */
    Page<SvrProgramListVo> getProgramList(Page<SvrProgramListVo> page, Long srvOrganId, String realName, String realTel, String programStatus);
}
