package com.hungraim.ltc.governance.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hungraim.ltc.governance.dao.ApplyMapper;
import com.hungraim.ltc.governance.service.ApplyService;
import com.hungraim.ltc.pojo.entity.disable.ChDisableApply;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;


@Service
public class ApplyServiceImpl extends ServiceImpl<ApplyMapper, ChDisableApply> implements ApplyService {

    @Resource
    private ApplyMapper applyMapper;

    @Override
    public Page<ChDisableApply> seletPage(Page<ChDisableApply> disableApplyPage, QueryWrapper<ChDisableApply> queryWrapper) {
        return applyMapper.selectPage(disableApplyPage, queryWrapper);
    }

    @Override
    public ChDisableApply selectById(Long applyId) {
        return applyMapper.selectById(applyId);
    }
}
