package com.hungraim.ltc.governance.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hungraim.ltc.governance.dao.CrvMapper;
import com.hungraim.ltc.governance.service.CrvService;
import com.hungraim.ltc.pojo.entity.disable.ChDisableApply;
import com.hungraim.ltc.pojo.entity.disable.ChSrvOrgan;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;


@Service
public class CrvServiceImpl extends ServiceImpl<CrvMapper, ChSrvOrgan> implements CrvService {

    @Resource
    private CrvMapper crvMapper;

    @Override
    public Page<ChSrvOrgan> seletPage(Page<ChSrvOrgan> chSrvOrganPage, QueryWrapper<ChSrvOrgan> queryWrapper) {
        return crvMapper.selectPage(chSrvOrganPage,queryWrapper);
    }

    @Override
    public ChSrvOrgan selectById(long applyId) {

        return crvMapper.selectById(applyId);
    }


}
